[mythtv-users] mythfrontend 0.20 Protocol version mismatch (frontend=30, backend=31)

William Munson wmunson at rochester.rr.com
Sun Oct 1 01:21:26 UTC 2006

Ben Curtis wrote:
>> There is 0.20 and 0.20-fixes. Early 0.20-fixes packages would work
>> with a 0.20 base release, but later 0.20-fixes packages include a change
>> that bumped the protocol version. As such, you need 0.20-fixes packages
>> on all your machines that include that change or later. Best case and
>> the only one supported is that all your systems are running the same
>> release/package of 0.20-fixes.
> It seems like the upgrade method posted in the Wiki
> (http://www.mythtv.org/wiki/index.php/Xbox_Install_using_E_Images) causes
> this issue.  The package built for xebian must be old, or something needs
> to change in the Wiki...  Anyone know who built the xebian packages, and
> if there is another way around it for now?
> Thanks,
> Ben
For me the solution was to not use prebuilt packages for mythtv. I build 
0.20-fixes on my combined front/back machine and all my frontends 
including my xboxes. Other than it taking an entire day I have no 
problems building on the xbox. I do remember having to manually install 
a couple of rpms to get the xebian box fully up to date. I also ended up 
pulling out most of the configure script that the origional author had 
run on every power up. I no longer use xine for playing  videos or dvd.

More information about the mythtv-users mailing list